%global momorel 3

Summary: The Samba Suite of programs
Name: samba
Version: 3.0.25a
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.samba.org/

#TAG: change for non-pre
#Source: http://www.samba.org/samba/ftp/rc/%{name}-%{version}rc3.tar.gz
Source: ftp://us3.samba.org/pub/samba/stable/%{name}-%{version}.tar.gz
NoSource: 0

# Red Hat specific replacement-files
Source1: samba.log
Source2: samba.xinetd
Source3: swat.desktop
Source4: samba.sysconfig
Source5: smb.init
Source6: samba.pamd
Source7: smbprint
Source8: winbind.init
Source9: smb.conf.default
Source10: nmb.init
Source11: pam_winbind.conf

# Don't depend on Net::LDAP
Source999: filter-requires-samba.sh

# upstream patches.  Applied first so that they'll break our patches rather
# than the other way around
# (none right now)

# generic patches
#Patch101: samba-2.2.0-smbw.patch
Patch102: samba-3.0.0beta1-pipedir.patch
#Patch103: samba-3.0.23-logfiles.patch
Patch104: samba-3.0.0rc3-nmbd-netbiosname.patch
#Patch105: samba-3.0.23-smb.conf.patch
#Patch106: samba-3.0.23d-man.patch
# The passwd part has been applied, but not the group part
Patch107: samba-3.0.23rc3-passwd.patch
#Patch108: samba-3.0.8-non-ascii-domain.patch
Patch110: samba-3.0.21pre1-smbspool.patch
Patch111: samba-3.0.13-smbclient.patch
#Patch112: samba-3.0.15pre2-bug106483.patch
#Patch113: samba-3.0.21-warnings.patch
Patch200: samba-3.0.25rc1-inotifiy.patch


Requires(pre): samba-common = %{version}-%{release}
Requires: pam >= 0:0.64
Requires: logrotate >= 0:3.4
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): chkconfig, initscripts
Requires(preun): chkconfig, initscripts
BuildRequires: pam-devel, readline-devel, ncurses-devel, libacl-devel, krb5-devel, openldap-devel, openssl-devel, cups-devel
BuildRequires: autoconf

# Working around perl dependency problem from docs
%define __perl_requires %{SOURCE999}


%description

Samba is the suite of programs by which a lot of PC-related machines
share files, printers, and other information (such as lists of
available files and printers). The Windows NT, OS/2, and Linux
operating systems support this natively, and add-on packages can
enable the same thing for DOS, Windows, VMS, UNIX of all kinds, MVS,
and more. This package provides an SMB/CIFS server that can be used to
provide network services to SMB/CIFS clients.
Samba uses NetBIOS over TCP/IP (NetBT) protocols and does NOT
need the NetBEUI (Microsoft Raw NetBIOS frame) protocol.


%package client
Summary: Samba client programs
Group: Applications/System
Requires: samba-common = %{version}-%{release}
Obsoletes: smbfs

%description client
The samba-client package provides some SMB/CIFS clients to complement
the built-in SMB/CIFS filesystem in Linux. These clients allow access
of SMB/CIFS shares and printing to SMB/CIFS printers.


%package common
Summary: Files used by both Samba servers and clients
Group: Applications/System
Requires(pre): shadow-utils
Requires(post): chkconfig, initscripts, coreutils
Requires(preun): chkconfig, initscripts

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.


%package swat
Summary: The Samba SMB server Web configuration program
Group: Applications/System
Requires: samba = %{version}-%{release}, xinetd

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.


%package doc
Summary: Documentation for the Samba suite
Group: Documentation
Requires: samba-common = %{version}-%{release}

%description doc
The samba-doc package includes all the non-manpage documentation for the
Samba suite.


%package -n libsmbclient
Summary: The SMB client library
Group: Applications/System

%description -n libsmbclient
The libsmbclient contains the SMB client library from the Samba suite.

%package -n libsmbclient-devel
Summary: Developer tools for the SMB client library
Group: Development/Libraries
Requires: libsmbclient = %{version}-%{release}

%description -n libsmbclient-devel
The libsmbclient-devel package contains the header files and libraries needed to
develop programs that link against the SMB client library in the Samba suite.


%prep
# TAG: change for non-pre
#%setup -q -n samba-3.0.25rc3
%setup -q 

# copy Red Hat specific scripts
mkdir packaging/Momonga
cp packaging/RHEL/setup/smbusers packaging/Momonga/
cp %{SOURCE5} packaging/Momonga/
cp %{SOURCE6} packaging/Momonga/
cp %{SOURCE7} packaging/Momonga/
cp %{SOURCE8} packaging/Momonga/winbind.init
cp %{SOURCE9} packaging/Momonga/
cp %{SOURCE10} packaging/Momonga/
cp %{SOURCE11} packaging/Momonga/

# Upstream patches
#(none)
# generic patches
#%patch101 -p1 -b .smbw
%patch102 -p1 -b .pipedir
#%patch103 -p1 -b .logfiles
%patch104 -p1 -b .nmbd-netbiosname
#%patch105 -p1 -b .upstream
#%patch106 -p1 -b .man
%patch107 -p1 -b .passwd
#%patch108 -p1 -b .non-ascii-domain
%patch110 -p1 -b .smbspool
%patch111 -p1 -b .smbclient
#%patch112 -p1 -b .bug106483
#%patch113 -p1 -b .warnings
%patch200 -p0 -b .inotify

# crap
rm -f examples/VFS/.cvsignore
mv source/VERSION source/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < source/VERSION.orig > source/VERSION
cd source
script/mkversion.sh
cd ..


%build
cd source
sh autogen.sh
%ifarch i386 sparc
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
%endif
%ifarch ia64
#libtoolize --copy --force     # get it to recognize IA-64
#autoheader                                               
#autoconf
EXTRA="-D_LARGEFILE64_SOURCE"
%endif
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DLDAP_DEPRECATED" %configure \
	--with-acl-support \
	--with-automount \
	--with-libsmbclient \
	--with-mmap \
	--with-pam \
	--with-pam_smbpass \
	--with-quotas \
	--with-syslog \
	--with-utmp \
	--with-vfs \
	--without-smbwrapper \
	--with-lockdir=/var/lib/samba \
	--with-piddir=/var/run \
	--with-mandir=%{_mandir} \
	--with-privatedir=/var/lib/samba/private \
	--with-logfilebase=/var/log/samba \
	--with-libdir=%{_libdir}/samba \
	--with-configdir=%{_sysconfdir}/samba \
	--with-pammodulesdir=%{_lib}/security \
	--with-swatdir=%{_datadir}/swat \
	--with-shared-modules=idmap_ad,idmap_rid \


make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DLDAP_DEPRECATED" \
	proto

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DLDAP_DEPRECATED" %{?_smp_mflags} \
	all nsswitch/libnss_wins.so modules test_pam_modules test_nss_modules

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	debug2html

make  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
	smbfilter

( cd client ; gcc -o mount.cifs $RPM_OPT_FLAGS -Wall -O -D_GNU_SOURCE -D_LARGEFILE64_SOURCE mount.cifs.c )
( cd client ; gcc -o umount.cifs $RPM_OPT_FLAGS -Wall -O -D_GNU_SOURCE -D_LARGEFILE64_SOURCE umount.cifs.c )



%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/%{_initscriptdir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,logrotate.d,security}
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
mkdir -p $RPM_BUILD_ROOT/var/{log,spool}/samba
mkdir -p $RPM_BUILD_ROOT/var/lib/samba
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/private
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/scripts
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/samba/codepages 
mkdir -p $RPM_BUILD_ROOT/var/run/winbindd

cd source

%makeinstall \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	BASEDIR=$RPM_BUILD_ROOT%{_prefix} \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LOCKDIR=$RPM_BUILD_ROOT/var/lib/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir}/samba \
	CONFIGDIR=$RPM_BUILD_ROOT%{_sysconfdir}/samba \
	PAMMODULESDIR=$RPM_BUILD_ROOT/%{_lib}/security \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	CODEPAGEDIR=$RPM_BUILD_ROOT%{_datadir}/samba/codepages \
	SWATDIR=$RPM_BUILD_ROOT%{_datadir}/swat \
	SAMBABOOK=$RPM_BUILD_ROOT%{_datadir}/swat/using_samba \
	PIDDIR=$RPM_BUILD_ROOT/var/run

cd ..

# Install other stuff
install -m644 packaging/Momonga/smb.conf.default $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
install -m644 packaging/Momonga/smbusers $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
install -m755 packaging/Momonga/smbprint $RPM_BUILD_ROOT%{_bindir}
install -m755 packaging/Momonga/smb.init $RPM_BUILD_ROOT%{_initscriptdir}/smb
install -m755 packaging/Momonga/nmb.init $RPM_BUILD_ROOT%{_initscriptdir}/nmb
install -m755 packaging/Momonga/winbind.init $RPM_BUILD_ROOT%{_initscriptdir}/winbind
install -m644 packaging/Momonga/pam_winbind.conf $RPM_BUILD_ROOT%{_sysconfdir}/security
#ln -s ../..%{_initscriptdir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
install -m644 packaging/Momonga/samba.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/samba
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/samba
echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema
install -m644 examples/LDAP/samba.schema $RPM_BUILD_ROOT%{_sysconfdir}/openldap/schema/samba.schema

# winbind
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_lib}/libnss_winbind.so.2
ln -sf /%{_lib}/libnss_winbind.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_winbind.so
install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_lib}/libnss_wins.so.2
ln -sf /%{_lib}/libnss_wins.so.2  $RPM_BUILD_ROOT%{_libdir}/libnss_wins.so

# libsmbclient

# make install puts libsmbclient.so in the wrong place on x86_64
rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/samba/libsmbclient.a $RPM_BUILD_ROOT/usr/lib || true
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}
install -m 755 source/bin/libsmbclient.so $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so.0
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}/
ln -s libsmbclient.so.0 $RPM_BUILD_ROOT%{_libdir}/libsmbclient.so
#install -m 644 source/bin/libsmbclient.a $RPM_BUILD_ROOT%{_libdir}/libsmbclient.a
install -m 644 source/include/libsmbclient.h $RPM_BUILD_ROOT%{_includedir}

# various libs we currently remove
# TODO: evaluate how to make them back by extracting the correct .h files

#this lib is not really useful or usable (libmsrpc.h requires the samba source)
#so better to remove it until upstream fixes it
rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libmsrpc.so
rm -f $RPM_BUILD_ROOT%{_includedir}/libmsrpc.h

rm -f $RPM_BUILD_ROOT%{_libdir}/samba/libsmbsharemodes.so

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/swat

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba
install -m755 source/client/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs
install -m755 source/client/umount.cifs $RPM_BUILD_ROOT/sbin/umount.cifs

rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/editreg.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
#rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbget.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/smbgetrc.5*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/vfstest.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/testprns.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmount.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbmnt.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/smbumount.8*

# why are these getting installed in the wrong place?
rm -f $RPM_BUILD_ROOT%{_sbindir}/{u,}mount.cifs


%clean
rm -rf $RPM_BUILD_ROOT

#%pre

%post
/sbin/chkconfig --add smb
/sbin/chkconfig --add nmb
if [ "$1" -ge "1" ]; then
	/sbin/service smb condrestart >/dev/null 2>&1 || :
	/sbin/service nmb condrestart >/dev/null 2>&1 || :
fi
exit 0

%preun
if [ $1 = 0 ] ; then
    /sbin/service smb stop >/dev/null 2>&1 || :
    /sbin/service nmb stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del smb
    /sbin/chkconfig --del nmb
fi
exit 0

#%postun


%pre common
/usr/sbin/groupadd -g 88 wbpriv >/dev/null 2>&1 || :

%post common
/sbin/chkconfig --add winbind
/sbin/ldconfig

# This script must be run always on installs or upgrades
# it checks if a previous installation have created files
# under /var/cache/samba and move them in that case as the
# new package wants them to be under /var/lib/samba for
# FHS compliance
#
# - we must stop the dameon if running and restart it
#   after the script if it was
# - we do not overwrite newer files
# - even if /etc/init.d/smb is in samba and not
#   samba-common we need to stop smbd/nmbd, if they
#   are running, here as well, or we will mess up
#   shared (between winbindd and smbd/nmbd) tdbs

OLDPATH="/var/cache/samba"
NEWPATH="/var/lib/samba"

eval ls $OLDPATH/*.tdb >/dev/null 2>&1
if [ $? = 0 ]; then

	#Stop daemons before we move the files around

	#this is what condrestart checks as well
	if [ -f /var/lock/subsys/winbindd ]; then
		/sbin/service winbind stop >/dev/null 2>&1 || :
		# Use a dirty trick to fool condrestart later
		touch /var/lock/subsys/winbindd
	fi

	if [ -f /var/lock/subsys/smb ]; then
		/sbin/service smb stop >/dev/null 2>&1 || :
		# We need to stop smbd here as we are moving also smbd owned files
		# but we can't restart it until the new server is installed.
		# Use a dirty trick to fool condrestart later
		touch /var/lock/subsys/smb
	fi

	if [ -f /var/lock/subsys/nmb ]; then
		/sbin/service nmb stop >/dev/null 2>&1 || :
		# We need to stop smbd here as we are moving also smbd owned files
		# but we can't restart it until the new server is installed.
		# Use a dirty trick to fool condrestart later
		touch /var/lock/subsys/nmb
	fi

	eval ls $NEWPATH/*.tdb >/dev/null 2>&1
	if [ $? = 0 ]; then
		#something strange here, lets backup this stuff and avoid just wiping it

		mkdir $NEWPATH.pkgbkp
		mv -f $NEWPATH/*.tdb $NEWPATH.pkgbkp/ >/dev/null 2>&1
		mv -f $NEWPATH/*.dat $NEWPATH.pkgbkp/ >/dev/null 2>&1
		mv -f $NEWPATH/perfmon $NEWPATH.pkgbkp/ >/dev/null 2>&1
		mv -f $NEWPATH/printing $NEWPATH.pkgbkp/ >/dev/null 2>&1
	fi

	mv -f $OLDPATH/*.tdb $NEWPATH/ >/dev/null 2>&1
	mv -f $OLDPATH/*.dat $NEWPATH/ >/dev/null 2>&1
	mv -f $OLDPATH/perfmon $NEWPATH/ >/dev/null 2>&1
	mv -f $OLDPATH/printing $NEWPATH/ >/dev/null 2>&1
fi

# We also moved private files from /etc/samba to
# /var/lib/samba/private so we need to migrate these as well

#secrets.tdb
if [ -f %{_sysconfdir}/samba/secrets.tdb ]; then
	if [ -f /var/lib/samba/private/secrets.tdb ]; then
		mv -f /var/lib/samba/private/secrets.tdb /var/lib/samba/private/secrets.tdb.old
	fi
	mv -f %{_sysconfdir}/samba/secrets.tdb /var/lib/samba/private/secrets.tdb
fi

#smbpasswd
if [ -f %{_sysconfdir}/samba/smbpasswd ]; then
	if [ -f /var/lib/samba/private/smbpasswd ]; then
		mv -f /var/lib/samba/private/smbpasswd /var/lib/samba/private/smbpasswd.old
	fi
	mv -f %{_sysconfdir}/samba/smbpasswd /var/lib/samba/private/smbpasswd
fi

#passdb.tdb
if [ -f %{_sysconfdir}/samba/passdb.tdb ]; then
	if [ -f /var/lib/samba/private/passdb.tdb ]; then
		mv -f /var/lib/samba/private/passdb.tdb /var/lib/samba/private/passdb.tdb.old
	fi
	mv -f %{_sysconfdir}/samba/passdb.tdb /var/lib/samba/private/passdb.tdb
fi

#remove schannel_store if existing, it is not info we need to keep across restarts
if [ -f %{_sysconfdir}/samba/schannel_store.tdb ]; then
	rm -f %{_sysconfdir}/samba/schannel_store.tdb
fi

if [ "$1" -ge "1" ]; then
	/sbin/service winbind condrestart >/dev/null 2>&1 || :
fi

%preun common
if [ $1 = 0 ] ; then
    /sbin/service winbind stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del winbind
fi
exit 0

%postun common
/sbin/ldconfig


%post -n libsmbclient
/sbin/ldconfig

%postun -n libsmbclient
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbstatus
%{_bindir}/eventlogadm
%config(noreplace) %{_sysconfdir}/samba/smbusers
%attr(755,root,root) %{_initscriptdir}/smb
%attr(755,root,root) %{_initscriptdir}/nmb
%config(noreplace) %{_sysconfdir}/logrotate.d/samba
%config(noreplace) %{_sysconfdir}/pam.d/samba
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/eventlogadm.8*
%{_mandir}/man8/vfs_*.8*
%{_libdir}/samba/vfs
%{_libdir}/samba/auth
%attr(1777,root,root) %dir /var/spool/samba
%{_sysconfdir}/openldap/schema/samba.schema

%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
%doc examples/printing
%doc docs/registry

%files swat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
%{_mandir}/man8/swat.8*
%attr(755,root,root) %{_libdir}/samba/*.msg

%files client
%defattr(-,root,root)
/sbin/mount.cifs
/sbin/umount.cifs
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/findsmb
%{_bindir}/smbget
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
%{_mandir}/man1/findsmb.1*
%{_mandir}/man1/nmblookup.1*
%{_mandir}/man1/rpcclient.1*
%{_mandir}/man1/smbcacls.1*
%{_mandir}/man1/smbclient.1*
%{_mandir}/man1/smbtar.1*
%{_mandir}/man1/smbtree.1*
%{_mandir}/man1/smbget.1*
%{_mandir}/man8/smbspool.8*
%{_mandir}/man8/mount.cifs.8*
%{_mandir}/man8/umount.cifs.8*

%files common
%defattr(-,root,root)
%attr(755,root,root) /%{_lib}/security/pam_smbpass.so
%dir %{_libdir}/samba
%{_libdir}/samba/charset
%{_libdir}/samba/lowcase.dat
%{_libdir}/samba/upcase.dat
%{_libdir}/samba/valid.dat
#%{_libdir}/samba/libmsrpc.so
%{_libdir}/libnss_wins.so
/%{_lib}/libnss_wins.so.2
%{_libdir}/libnss_winbind.so
/%{_lib}/libnss_winbind.so.2
/%{_lib}/security/pam_winbind.so

%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/smbpasswd
%{_bindir}/wbinfo
%{_bindir}/ntlm_auth
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_bindir}/smbcontrol
%{_bindir}/tdbbackup
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_sbindir}/winbindd
%{_libdir}/samba/idmap
%{_libdir}/samba/nss_info
%dir /var/lib/samba
%attr(700,root,root) %dir /var/lib/samba/private
%dir /var/run/winbindd
%attr(750,root,wbpriv) %dir /var/lib/samba/winbindd_privileged
%dir /var/lib/samba/scripts
%config(noreplace) %{_sysconfdir}/samba/smb.conf
%config(noreplace) %{_sysconfdir}/samba/lmhosts
%config(noreplace) %{_sysconfdir}/sysconfig/samba
%config(noreplace) %{_sysconfdir}/security/pam_winbind.conf
%dir %{_datadir}/samba
#%dir %{_datadir}/samba/codepages
%dir %{_sysconfdir}/samba
%attr(0700,root,root) %dir /var/log/samba
%{_initscriptdir}/winbind
%{_mandir}/man1/ntlm_auth.1*
%{_mandir}/man1/profiles.1*
%{_mandir}/man1/smbcquotas.1*
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/wbinfo.1*
#%{_mandir}/man1/vfstest.1*
%{_mandir}/man1/testparm.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man5/smb.conf.5*
%{_mandir}/man5/lmhosts.5*
%{_mandir}/man7/pam_winbind.7*
%{_mandir}/man7/libsmbclient.7*
%{_mandir}/man8/smbpasswd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/net.8*
%{_mandir}/man8/winbindd.8*
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbtool.8*
%{_mandir}/man8/idmap_*.8*

%doc README COPYING Manifest 
%doc WHATSNEW.txt Roadmap


%files doc
%doc docs/REVISION docs/Samba3-Developers-Guide.pdf docs/Samba3-ByExample.pdf
%doc docs/Samba3-HOWTO.pdf docs/THANKS docs/history
%doc docs/htmldocs

%files -n libsmbclient
%{_libdir}/libsmbclient.so.0

%files -n libsmbclient-devel
%{_libdir}/libsmbclient.so
%{_includedir}/libsmbclient.h
#%{_includedir}/libmsrpc.h

%changelog
* Sat Jun 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.0.25a-3m)
- rebuild against cups-1.2.11-3m for lib64 issue

* Sun May 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.25a-2m)
- modify Requires for mph-get-check

* Sun May 27 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.25a-1m)
- [SECURITY] CVE-2007-2444 CVE-2007-2446 CVE-2007-2447
- version up 3.0.25a
- sync Fedora

* Thu May 10 2007 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.24-1m)
- [SECURITY] CVE-2007-0452 CVE-2007-0454
- version up 3.0.24

* Sat Nov 25 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23d-1m)
- version up 3.0.23d
- remove samba-3.0.20pre1-man.patch

* Wed Sep 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.23c-2m)
- modify Prereq for mph-get-check

* Fri Sep 08 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (3.0.23c-1m)
- version up 3.0.23c

* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.23b-1m)
- version up 3.0.23b

* Tue Jul 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-4m)
- [SECURITY] CVE-2006-3403
- http://www.samba.org/samba/security/CAN-2006-3403.html

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-3m)
- rebuild against readline-5.0

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.22-2m)
- rebuild against openssl-0.9.8a

* Mon Mar 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.22-1m)
- update to 3.0.22
- [SECURITY] CVE-2006-1059
- http://us1.samba.org/samba/security/CVE-2006-1059.html

* Sun Jan 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.21a-2m)
- modify CFLAGS to avoid crashing arts with xine-lib-smb (gcc-4.1.0-0.8m)

* Sat Jan 14 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.21a-1m)
- upgrade samba-3.0.21a
- sync with fc-devel

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-2m)
- modify smb.conf

* Tue Apr 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.14a-1m)
- update

* Fri Feb 18 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.10-2m)
- revised docdir permission

* Sat Feb 5 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (3.0.10-1m)
- security fix. http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1154
- import all patches and spec from FC devel

* Mon Nov 22 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.9-1m)
- minor bug fix release.

* Wed Nov 10 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.8-1m)
- update to 3.0.8
  including security fixes.
  [references]
  http://www.st.ryukoku.ac.jp/~kjm/security/ml-archive/bugtraq/2004.11/msg00096.html
  http://us1.samba.org/samba/ftp/WHATSNEW-3-0-8.txt

* Sun Sep 19 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.7-1m)
- update to 3.0.7

* Fri Sep  3 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.6-1m)
- including security fixes

* Fri Jul 30 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.5-2m)
- add International Patch

* Fri Jul 30 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.5-1m)
- verion up (SECURITY FIX)
- See CAN-2004-0600 and CAN-2004-0686

* Tue May 11 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.4-1m)

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.2a-3m)
- revised spec for rpm 4.2.

* Sun Mar  7 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.2a-2m)
- generate i586 binary if target is i686 (-march=i686 causes internal compiler error on gcc-3.2.3-12m)

* Sun Feb 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2a-1m)

* Sun Feb 15 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.2-1m)
- Version 3.0.2
- added mount.cifs
- added /usr/bin/tdbdump
- removed testparm patch as it's already merged
- updated logfiles patch
- removed old patch files from repository

* Wed Jan  7 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-5m)
- add some binaries to "%%files common" section
  (smbcquotas, profiles, ntlm_auth and pdbedit)
- remove "%%makeinstall installclientlib" from %%install section
  because "make installclientlib" is included in "make install"

* Fri Jan  2 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.0-4m)
- fix mount option problem
  see http://www.samba.gr.jp/ml/article/sugj-tech/msg05996.html

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.0-3m)
- rebuild against openldap

* Wed Nov  5 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (3.0.0-2m)
- remove %%{with_gcc296} macros.
  It is not necessary any longer.(may be...)

* Tue Nov 4 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.0.0-1m)
- version 3.0.0
- remove old patches
- add samba-3.0.0-logfiles.patch (rawhide)
- add samba-3.0.0beta1-pipedir.patch (rawhide)
- add samba-3.0.0rc3-nmbd-netbiosname.patch (rawhide)
- add samba-3.0.0rc4-testparm.patch (rawhide)
- modify %%files section and %%install section

* Fri Jul 25 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-7m)
- update to beta7

* Wed Jul 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.8a-6m)
- include libsmbclient

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-5m)
- update to ja-1.1-beta6
- enable smbwrapper

* Mon Jul 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-4m)
- update to ja-1.1-beta5
- glab some man pages

* Mon Jul  7 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-3m)
- update to ja-1.1-beta4

* Thu Jun 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-2m)
- update to ja-1.1-beta3
- revise configure options

* Tue May 27 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.8a-1m)
- update  to 2.2.8a release
- add %%{?_smp_mflags}

* Thu Apr 24 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.8a-0.1.2m)
- enable --with-ldapsam and install smbldap-tools when %%{with_ldapsam} == 1.

* Wed Apr  9 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.8a-0.1.1m)
  update to 2.2.8a-ja-1.0-alpha1

* Tue Apr  8 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.7a-3m)
- apply security patch from 2.2.8a

* Tue Mar 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.7a-2m)
- update  to 2.2.7a-ja-1.1
  [security]  This release includes secutiry update
  see http://www.samba.gr.jp/ml/samba-jp/htdocs/200303.month/14349.html
- use gcc-3.2.2 by default

* Sun Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.7a-1m)
  rebuild against openssl 0.9.7a

* Sat Dec 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-5m)
- revise for ppc

* Fri Dec 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.5-4m)
- only samba-swat requires xinetd

* Mon Nov 25 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-3m)
-  include_specopt
-  use gcc-2.96 by default.
   if with_gcc296 is defined as 0, use gcc-3.2 instead.

* Thu Nov  7 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.2.5-2m)
- delete BuildPreReq: gcc2.95.3

* Thu Sep  5 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.5-1m)
- Version up to 2.2.5
- ja 1.0beta3
- samba-2.2.5-lprng.patch (fromrawhide)

* Mon Aug 12 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.2.4-1m)
- Ver. up
- *.pid is in /var/run/samba
- add samba-2.2.3-smbadduserloc.patch (from rawhide)
- add samba-2.2.4-logname.patch

* Fri Apr 26 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-6k)
- '%{initdir}' -> %{_initscriptdir}

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (2.2.2-4k)
- 'chmod -x' docs to avoid suspicious requirements

* Mon Apr 22 2002 Masahiro Takahata <takahata@kondara.org>
- (2.2.2-2k)
- upgrade to 2.2.2-ja-1.1
- separate swat package
- This spec file is rewritten so that
-      it might be based as much as possible on rawhide.

* Fri Nov 30 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-16k)
- update ja-1.2
- fix installing documents

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.0.10-14k)
- nigittenu

* Mon Nov  5 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-12k)
- add samba-2.0.10-kernel-2.4.13-fix.patch for building on kernel 2.4.3

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-10k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.0.10-8k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.10-6k)
- errased the process concerning with /etc/service

* Fri Oct 12 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Tue Sep 09 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-4k)
- update to samba-2.0.10-ja1.1

* Sat Jul  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.10-2k)
- update to samba-2.0.10-ja1.0
- disable samba-2.0.7-wildcard.patch

* Thu Jul  5 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.9-8k)
- fix privatedir path /etc to /etc/samba. (Jitterbug #905)

* Tue Jun 19 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-6k)
- fix path /bin/paswd to /usr/bin/passwd (samba-fixpath.patch)
- delete smbrun.1*

* Mon May 28 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-4k)
- update to samba-2.0.9-ja-1.0
- add BuildPrereq: pam-devel

* Sat May 12 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.9-2k)
- update to samba-2.0.9-ja-1.0beta1

* Tue May  8 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.0.7-38k)
- remove %triggerpre
- update samba-2.0.7-ja.2.2

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-36k)
- rebuild by gcc 2.95.3 :-P

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.7-34k)
- rebuild against openssl 0.9.6.

* Wed Feb  7 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-32k)
- update to samba-2.0.7-ja.2.2b4.
- bugfix %files section.

* Mon Feb  5 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-30k)
- add man-pages of smbumount.

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.7-29k)
- rebuild againt rpm-3.0.5-39k
- modified samba-fixinit.patch

* Thu Jan 26 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-27k)
- update to 2.0.7-ja-2.2b3.
- remove using-samba and using_samba from docdir.
- be selectable inetd or xinetd. (default is xinetd)
- use logfilename log.smb and log.nmb.
- change dirctory of codepages to /etc/samba/codepages.

* Mon Jan 08 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.0.7-25k)
- merge samba-ja to samba

* Fri Dec 01 2000 Kenichi Matsubara <m@kondara.org>
- package name change sambaJP to samba-ja.

* Mon Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- add samba-2.0.7-swat.patch including security fix.

* Mon Nov 04 2000 Toyokazu WATABE <toy2@kondara.org>
- update for 2.0.7_ja_2.1-1k
- use macros.

* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_2.0-1k

* Sun Sep 17 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_1.3-1k

* Tue Sep 05 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000904-1k

* Thu Aug 31 2000 Toyokazu WATABE <toy2@kondara.org>
- 2.0.7_ja_20000828-1k
- add samba-2.0.7-ja-cgi-security.patch
  (patch from samba-2.0.7-ja-1.2 to samba-2.0.7-ja-1.2a)
- adapt to FHS-2.1
- add /usr/sbin/tcpd to configuration of swat in inetd.conf.
- replace samba-2.0.3-fixinit.patch to samba-2.0.7-fixinit.patch

* Thu Aug 17 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-1k
- add Provides samba

* Sun Aug 14 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000814-0k (2.0.7-ja-1.3 beta release)

* Sun Aug 13 2000 Toyokazu Watabe <toy2@kondara.org>
- 2.0.7_ja_20000807-0k (2.0.7-ja-1.3 beta release)

* Sat Jul 8 2000 TAKAHASHI Motonobu <monyo@samba.gr.jp>
- Added smb-useradd and smb-userdel scripts
- Fixed some Japanese expression
- SWAT is invoked via tcp
- create STATUS..LCK during installation

* Fri Jul 7 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added Japanese manual pages

* Sun May 28 2000 AYUHANA Tomonori <l@kondara.org>
- Obsoletes: samba

* Sat May 27 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "HowToUseSamba" Document
- Update spec file Japanese description.

* Sat May 6 2000 Hiroshi MIURA <miura@samba.gr.jp>
- Added support for "i18n SWAT"

* Mon Mar 13 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group )
- locale chenged ja_JP.ujis -> ja_JP.eucJP

* Tue Feb  8 2000 Toru Hoshina <t@kondara.org>
- fix alpha problem.

* Tue Jan 25 2000 Takaaki Tabuchi <tab@kondara.org>
- tiny change Version , Source URL.

* Mon Jan 24 2000 Tenkou N. Hattori <tnh@kondara.org>
- kondarize.

*Mon Jan 10 2000 kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J) without smbsh

*Mon Jan 10 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Laser5 Linux 6.0

*Fri Jan 07 2000 Kenichiro Hamano <hamano@samba.gr.jp>
- rebuild for Red Hat Linux 6.1(J)

*Mon Nov 12 1999 Motonobu Takahashi <monyo@samba.gr.jp>
- ܸ춦ͭ̾ݡ

*Mon Sep 20 1999 Koji Odagiri <odagiri@samba.gr.jp>
- SWATܸ첽

*Mon Sep 20 1999 Satoshi Osawa <osawa@po.fes.co.jp>
- SPECܸʬɲ

* Sun Jul 24 1999 Hideya Hane <Vine@flatout.org>
- rebuild for Vine Linux 1.1

* Wed Jul 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.5
- fix mount.smb - smbmount options changed again.........
- fix postun. oops.
- update some stuff from the samba team's spec file.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- split off clients into separate package
- don't run samba by default

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- fix one problem with mount.smb script
- fix smbpasswd on sparc with a really ugly kludge

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Tue May 25 1999 Bill Nottingham <notting@redhat.com>
- turn of 64-bit locking on 32-bit platforms

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- so many releases, so little time
- explicitly uncomment 'printing = bsd' in sample config

* Tue May 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.4a
- fix mount.smb arg ordering

* Fri Apr 16 1999 Bill Nottingham <notting@redhat.com>
- go back to stop/start for restart (-HUP didn't work in testing)

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- add a mount.smb to make smb mounting a little easier.
- smb filesystems apparently don't work on alpha. Oops.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- always create codepages

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated init script to use graceful restart (not stop/start)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.3

* Thu Feb 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.2

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- swat swat

* Tue Feb  9 1999 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in post script

* Fri Feb  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0.0

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- make sure all binaries are stripped

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.9.18p10.
- fix %triggerpostun.

* Tue Jul 07 1998 Erik Troan <ewt@redhat.com>
- updated postun triggerscript to check $0
- clear /etc/codepages from %preun instead of %postun

* Mon Jun 08 1998 Erik Troan <ewt@redhat.com>
- made the %postun script a tad less agressive; no reason to remove
  the logs or lock file (after all, if the lock file is still there,
  samba is still running)
- the %postun and %preun should only exectute if this is the final
  removal
- migrated %triggerpostun from Red Hat's samba package to work around
  packaging problems in some Red Hat samba releases

* Sun Apr 26 1998 John H Terpstra <jht@samba.anu.edu.au>
- minor tidy up in preparation for release of 1.9.18p5
- added findsmb utility from SGI package

* Wed Mar 18 1998 John H Terpstra <jht@samba.anu.edu.au>
- Updated version and codepage info.
- Release to test name resolve order

* Sat Jan 24 1998 John H Terpstra <jht@samba.anu.edu.au>
- Many optimisations (some suggested by Manoj Kasichainula <manojk@io.com>
- Use of chkconfig in place of individual symlinks to /etc/rc.d/init/smb
- Compounded make line
- Updated smb.init restart mechanism
- Use compound mkdir -p line instead of individual calls to mkdir
- Fixed smb.conf file path for log files
- Fixed smb.conf file path for incoming smb print spool directory
- Added a number of options to smb.conf file
- Added smbadduser command (missed from all previous RPMs) - Doooh!
- Added smbuser file and smb.conf file updates for username map
